clang-tools 10.0.0

Namespaces | Functions | Variables
MagicNumbersCheck.cpp File Reference
`#include "MagicNumbersCheck.h"`
`#include "../utils/OptionsUtils.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include <algorithm>`
Include dependency graph for MagicNumbersCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::readability

## Functions
static bool | clang::isUsedToInitializeAConstant (const MatchFinder::MatchResult &Result, const DynTypedNode &Node)
static bool | clang::isUsedToDefineABitField (const MatchFinder::MatchResult &Result, const DynTypedNode &Node)

## Variables
const char | clang::tidy::readability::DefaultIgnoredIntegerValues [] = "1;2;3;4;"
const char | clang::tidy::readability::DefaultIgnoredFloatingPointValues [] = "1.0;100.0;"